Bug 505505 - DNS unworkable with Netopia 3347 DSL router
DNS unworkable with Netopia 3347 DSL router
Status: CLOSED DUPLICATE of bug 697149
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Law
Fedora Extras Quality Assurance
: Reopened
: 602396 677093 720877 746086 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 02:47 EDT by Gordon Messmer
Modified: 2016-11-24 11:07 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-17 12:50:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pcap file containing DNS lookup (1.35 KB, application/octet-stream)
2009-06-12 02:47 EDT, Gordon Messmer
no flags Details

  None (edit)
Description Gordon Messmer 2009-06-12 02:47:27 EDT
Created attachment 347515 [details]
pcap file containing DNS lookup

Description of problem:
I have a friend running Fedora 11.  Her home network uses a Netopia 3347-02 DSL router provided by Qwest.  Its DNS server seems to behave badly with IPv6 queries, which prevents most applications from working.

Her machine has no search domain specified in /etc/resolv.conf; only the single name server (192.168.0.1) is listed in that file.  For some reason, glibc seems to be doing a lookup for FQDNs in the host's "domain", which I don't understand.  For example, if I try to ssh to "home.dragonsdawn.net", glibc ends up doing a query for "home.dragonsdawn.net.localdomain."

A pcap file showing exactly this exchange is attached.

Version-Release number of selected component (if applicable):
glibc-2.10.1-2.i686

How reproducible:
Always.  Affected applications are unable to ever successfully look up hostnames.
Comment 1 Jakub Jelinek 2009-06-15 08:37:05 EDT
If you have a buggy router, try to add
options single-request
to /etc/resolv.conf.
Comment 2 Gordon Messmer 2009-06-16 13:35:21 EDT
That'd be fabulous, but NetworkManager would just over-write it.

Two questions: Does the pcap file attached match the specific problem that "options single-request" is designed to work around?  Why does glibc look up hostnames with an appended domain, even though /etc/resolv.conf doesn't specify any search domain?
Comment 3 Ulrich Drepper 2009-11-22 21:42:43 EST
(In reply to comment #2)
> That'd be fabulous, but NetworkManager would just over-write it.

That shouldn't happen.  NM shouldn't touch the options.

I'm closing the bug.  Only reopen if you verified that what Jakub explained doesn't work for you.
Comment 4 Gordon Messmer 2010-02-18 20:42:03 EST
It took me a long time to get more data after my friend dropped Fedora for Ubuntu, which doesn't demonstrate this problem.

I'm not sure how to make NetworkManager not touch options.
 1. edit resolv.conf with Jakub's suggestion
 2. unplug ethernet cable (assuming you're using an ethernet connection)
 3. check resolv.conf.  It's empty (except for comments)
 4. plug in ethernet
 5. check resolv.conf again.  No "options".

That aside, this problem is not resolved using the single-request option.

Please check the pcap file that I provided.  It shows that an A request gets a proper response, an A4 request gets an empty response, and then an A request is made for the hostname that the application wanted + the local host's "domain" (as returned by 'hostname -d').

I don't understand why the last request is made.  The appended domain is not in the search domain, and the original A request got a valid response.
Comment 5 Bug Zapper 2010-04-27 10:48:10 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-11-04 07:08:14 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-12-05 01:51:39 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Gordon Messmer 2010-12-09 00:13:53 EST
This bug still affects Fedora 14.
Comment 9 Gordon Messmer 2011-01-04 20:06:51 EST
A user on the fedora users list reported a similar problem.  I believe that this bug manifests when the DNS server does not support recursive queries for AAAA requests.  The user provided this information:

---
Sending "dig -t aaaa google.com" to my local DNS server:

; <<>> DiG 9.7.2-P2-RedHat-9.7.2-2.P2.fc14 <<>> -t aaaa google.com
;; global options: +cmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 39018
;; flags: qr rd; QUERY: 1, ANSWER: 0, AUTHORITY: 0, ADDITIONAL: 0
;; WARNING: recursion requested but not available
---

That's consistent with the Netopia router's behavior.

So for some reason when the DNS server indicates that recursion is not available for AAAA requests, glibc is throwing away the results that it got from the A request.
Comment 10 Fedora Admin XMLRPC Client 2011-11-14 14:44:17 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Jeff Law 2012-01-24 16:55:44 EST
*** Bug 746086 has been marked as a duplicate of this bug. ***
Comment 12 Jeff Law 2012-01-24 23:45:16 EST
*** Bug 720877 has been marked as a duplicate of this bug. ***
Comment 13 Jeff Law 2012-01-25 13:00:39 EST
*** Bug 602396 has been marked as a duplicate of this bug. ***
Comment 14 Jeff Law 2012-01-25 13:01:59 EST
*** Bug 677093 has been marked as a duplicate of this bug. ***
Comment 15 Jeff Law 2012-02-17 12:50:19 EST

*** This bug has been marked as a duplicate of bug 697149 ***

Note You need to log in before you can comment on or make changes to this bug.